package com.engine.organization.mapper.detach;

import com.engine.organization.entity.detach.po.ManagerDetachPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/24
 * @Version V1.0
 **/
public interface ManagerDetachMapper {

    int insertIgnoreNull(ManagerDetachPO managerDetachPO);

    int updateDetach(ManagerDetachPO managerDetachPO);

    int deleteByIds(@Param("ids") Collection<Long> ids);

    List<ManagerDetachPO> selectByIds(@Param("ids")Collection<Long> ids);

    ManagerDetachPO getDetachById(@Param("id") Integer id);

    List<ManagerDetachPO> getDetachListById(@Param("ecManager") Integer ecManager);
}
